Summary:	Complete front-end for mplayer written in Qt5
Name:		smplayer
Version:	17.3.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
Url:		http://smplayer.sourceforge.net
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.xz
Patch0:		%{name}-0.6.8-optflags.patch
#----------------------------------------
BuildRequires:	qttools5
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel
BuildRequires: desktop-file-utils
#----------------------------------------
Requires:	mplayer
Obsoletes:	smplayer-qt4
Provides:	smplayer-qt4 = %version-%release


%description
SMPlayer intends to be a complete front-end for MPlayer,
from basic features like playing videos, DVDs, and VCDs
to more advanced features like support for MPlayer filters and more.

SMPlayer supports themes which can be found in smplayer-themes package.

%prep
%setup -qn %{name}-%{version}
%patch0 -p1

%build
%setup_compile_flags
%make PREFIX=%{_prefix} QMAKE=%{_qt5_bindir}/qmake LRELEASE=%{_qt5_bindir}/lrelease

%install
rm -rf %buildroot
%make_install PREFIX=%{_prefix}

# remove wrongly put docs
rm -rf %{buildroot}%{_datadir}/doc

desktop-file-install --vendor="" \
        --remove-key="Encoding" \
 	--add-category="X-MandrivaLinux-Multimedia-Video Qt KDE AudioVideo Video Player" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files
%doc Changelog *.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/simple_web_server
%{_mandir}/man1/%{name}.*
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%lang(am) %{_datadir}/%{name}/translations/smplayer_am.qm
%lang(ar_SY) %{_datadir}/%{name}/translations/smplayer_ar_SY.qm
%lang(bg) %{_datadir}/%{name}/translations/smplayer_bg.qm
%lang(ca) %{_datadir}/%{name}/translations/smplayer_ca.qm
%lang(cs) %{_datadir}/%{name}/translations/smplayer_cs.qm
%lang(da) %{_datadir}/%{name}/translations/smplayer_da.qm
%lang(de) %{_datadir}/%{name}/translations/smplayer_de.qm
%lang(el) %{_datadir}/%{name}/translations/smplayer_el.qm
%lang(en) %{_datadir}/%{name}/translations/smplayer_en.qm
%lang(en_US) %{_datadir}/%{name}/translations/smplayer_en_US.qm
%lang(es) %{_datadir}/%{name}/translations/smplayer_es.qm
%lang(et) %{_datadir}/%{name}/translations/smplayer_et.qm
%lang(eu) %{_datadir}/%{name}/translations/smplayer_eu.qm
%lang(fa) %{_datadir}/%{name}/translations/smplayer_fa.qm
%lang(fi) %{_datadir}/%{name}/translations/smplayer_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/smplayer_fr.qm
%lang(gl) %{_datadir}/%{name}/translations/smplayer_gl.qm
%lang(hr) %{_datadir}/%{name}/translations/smplayer_hr.qm
%lang(hu) %{_datadir}/%{name}/translations/smplayer_hu.qm
%lang(it) %{_datadir}/%{name}/translations/smplayer_it.qm
%lang(ja) %{_datadir}/%{name}/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/%{name}/translations/smplayer_ka.qm
%lang(ko) %{_datadir}/%{name}/translations/smplayer_ko.qm
%lang(ku) %{_datadir}/%{name}/translations/smplayer_ku.qm
%lang(lt) %{_datadir}/%{name}/translations/smplayer_lt.qm
%lang(mk) %{_datadir}/%{name}/translations/smplayer_mk.qm
%lang(nb_NO) %{_datadir}/%{name}/translations/smplayer_nb_NO.qm
%lang(nl) %{_datadir}/%{name}/translations/smplayer_nl.qm
%lang(pl) %{_datadir}/%{name}/translations/smplayer_pl.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/smplayer_pt_BR.qm
%lang(pt_pt) %{_datadir}/%{name}/translations/smplayer_pt.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/smplayer_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/%{name}/translations/smplayer_sk.qm
%lang(sl) %{_datadir}/%{name}/translations/smplayer_sl_SI.qm
%lang(sq_AL) %{_datadir}/%{name}/translations/smplayer_sq_AL.qm
%lang(sr) %{_datadir}/%{name}/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/%{name}/translations/smplayer_sv.qm
%lang(tr) %{_datadir}/%{name}/translations/smplayer_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/smplayer_uk_UA.qm
%lang(vi) %{_datadir}/%{name}/translations/smplayer_vi_VN.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/smplayer_zh_TW.qm
%lang(he) %{_datadir}/smplayer/translations/smplayer_he_IL.qm
%lang(ms) %{_datadir}/smplayer/translations/smplayer_ms_MY.qm
%lang(th) %{_datadir}/smplayer/translations/smplayer_th.qm
%lang(ar) %{_datadir}/smplayer/translations/smplayer_ar.qm
%lang(en_GB) %{_datadir}/smplayer/translations/smplayer_en_GB.qm
%lang(id) %{_datadir}/smplayer/translations/smplayer_id.qm
%lang(nn_NO) %{_datadir}/smplayer/translations/smplayer_nn_NO.qm
%lang(uz) %{_datadir}/smplayer/translations/smplayer_uz.qm


%changelog
* Mon Apr 09 2018 adrianomorselli <adrianomorselli> 17.3.0-1uplos2018
- update
